"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var pnameReg = /(\w+)\/src\/\1\/main\/main\.js/;

exports.default = function (path, port) {
  var pname = function () {
    var res = pnameReg.exec(path);
    return res && res[1];
  }();

  if (pname) {
    return Buffer.from("\n      (function () {\n        const skey = 'node_reload_go';\n        const sval = localStorage.getItem(skey);\n\n        if (sval) {\n          localStorage.removeItem(skey);\n          return history.go(sval);\n        }\n\n        const ws = new WebSocket('ws://localhost:" + port + "');\n\n        ws.onopen = () => {\n          ws.send(JSON.stringify({ isNew: true, data: '" + pname + "' }));\n        };\n\n        ws.onmessage = e => {\n          const params = JSON.parse(e.data);\n\n          if (params.isRefresh) {\n            location.reload(true);\n            setTimeout(() => { // \u5237\u65B0\u5931\u8D25\uFF0C\u5219\u4F1A\u6267\u884C\u4EE5\u4E0B\u4EE3\u7801\n              localStorage.setItem(skey, '-1');\n              location.href = location.origin\n                + location.pathname\n                + location.search + (location.search ? '&' : '?') + (skey + '_t=') + Date.now()\n                + location.hash;\n            }, 50);\n          }\n        };\n\n        ws.onclose = () => {\n          console.info('[Refresh] \u5237\u65B0\u94FE\u63A5\u5DF2\u5173\u95ED');\n        };\n      })();\n    ");
  }
};